path: /build/build/cppunit-dev-util-1.14.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc" emerge dev-util/cppunit -pv -t && \
    USE="-doc" emerge -j ${JOBS} --nodeps dev-util/cppunit
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/cppunit && luet-portage --dir /pkgdir/cppunit
    dev-util/cppunit && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:8c4f9001dbada80917004586da8f818338314c95ce19f2b73fcc0328c293b55c
  package:
    name: cppunit
    version: 1.14.0
    category: dev-util
    use_flags:
    - -doc
    requires:
    - name: libsigc++
      version: '>=0'
      category: dev-libs-2
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: C++ port of the famous JUnit framework for unit testing
    uri:
    - https://www.freedesktop.org/wiki/Software/cppunit
    license: LGPL-2.1
    buildtimestamp: 2023-08-23 22:23:45.166949483 +0000 UTC m=+70.194752052
    labels:
      DEPEND: doc? ( app-doc/doxygen[dot] media-gfx/graphviz )
      IUSE: doc examples static-libs abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32
        abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
      emerge.packages: dev-util/cppunit
      kit: dev-kit
      original.package.name: dev-util/cppunit
      original.package.slot: "0"
      original.package.version: 1.14.0
    treedir: /build/packages
  package_dir: /pkgdir/cppunit
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c6e98c90b3a1399d1735c64e4764a2893ae775945c306af092f982a340c13b85
compressiontype: zstd
files:
- usr/bin/DllPlugInTester
- usr/include/cppunit/AdditionalMessage.h
- usr/include/cppunit/Asserter.h
- usr/include/cppunit/BriefTestProgressListener.h
- usr/include/cppunit/CompilerOutputter.h
- usr/include/cppunit/Exception.h
- usr/include/cppunit/Message.h
- usr/include/cppunit/Outputter.h
- usr/include/cppunit/Portability.h
- usr/include/cppunit/Protector.h
- usr/include/cppunit/SourceLine.h
- usr/include/cppunit/SynchronizedObject.h
- usr/include/cppunit/Test.h
- usr/include/cppunit/TestAssert.h
- usr/include/cppunit/TestCaller.h
- usr/include/cppunit/TestCase.h
- usr/include/cppunit/TestComposite.h
- usr/include/cppunit/TestFailure.h
- usr/include/cppunit/TestFixture.h
- usr/include/cppunit/TestLeaf.h
- usr/include/cppunit/TestListener.h
- usr/include/cppunit/TestPath.h
- usr/include/cppunit/TestResult.h
- usr/include/cppunit/TestResultCollector.h
- usr/include/cppunit/TestRunner.h
- usr/include/cppunit/TestSuccessListener.h
- usr/include/cppunit/TestSuite.h
- usr/include/cppunit/TextOutputter.h
- usr/include/cppunit/TextTestProgressListener.h
- usr/include/cppunit/TextTestResult.h
- usr/include/cppunit/TextTestRunner.h
- usr/include/cppunit/XmlOutputter.h
- usr/include/cppunit/XmlOutputterHook.h
- usr/include/cppunit/config/CppUnitApi.h
- usr/include/cppunit/config/SelectDllLoader.h
- usr/include/cppunit/config/SourcePrefix.h
- usr/include/cppunit/config/config-bcb5.h
- usr/include/cppunit/config/config-evc4.h
- usr/include/cppunit/config/config-mac.h
- usr/include/cppunit/config/config-msvc6.h
- usr/include/cppunit/config-auto.h
- usr/include/cppunit/extensions/AutoRegisterSuite.h
- usr/include/cppunit/extensions/ExceptionTestCaseDecorator.h
- usr/include/cppunit/extensions/HelperMacros.h
- usr/include/cppunit/extensions/Orthodox.h
- usr/include/cppunit/extensions/RepeatedTest.h
- usr/include/cppunit/extensions/TestCaseDecorator.h
- usr/include/cppunit/extensions/TestDecorator.h
- usr/include/cppunit/extensions/TestFactory.h
- usr/include/cppunit/extensions/TestFactoryRegistry.h
- usr/include/cppunit/extensions/TestFixtureFactory.h
- usr/include/cppunit/extensions/TestNamer.h
- usr/include/cppunit/extensions/TestSetUp.h
- usr/include/cppunit/extensions/TestSuiteBuilderContext.h
- usr/include/cppunit/extensions/TestSuiteFactory.h
- usr/include/cppunit/extensions/TypeInfoHelper.h
- usr/include/cppunit/plugin/DynamicLibraryManager.h
- usr/include/cppunit/plugin/DynamicLibraryManagerException.h
- usr/include/cppunit/plugin/PlugInManager.h
- usr/include/cppunit/plugin/PlugInParameters.h
- usr/include/cppunit/plugin/TestPlugIn.h
- usr/include/cppunit/plugin/TestPlugInDefaultImpl.h
- usr/include/cppunit/portability/FloatingPoint.h
- usr/include/cppunit/portability/Stream.h
- usr/include/cppunit/tools/Algorithm.h
- usr/include/cppunit/tools/StringHelper.h
- usr/include/cppunit/tools/StringTools.h
- usr/include/cppunit/tools/XmlDocument.h
- usr/include/cppunit/tools/XmlElement.h
- usr/include/cppunit/ui/text/TestRunner.h
- usr/include/cppunit/ui/text/TextTestRunner.h
- usr/lib64/libcppunit-1.14.so.0
- usr/lib64/libcppunit-1.14.so.0.0.0
- usr/lib64/libcppunit.so
- usr/lib64/pkgconfig/cppunit.pc
- usr/share/doc/cppunit-1.14.0/AUTHORS.bz2
- usr/share/doc/cppunit-1.14.0/BUGS
- usr/share/doc/cppunit-1.14.0/ChangeLog.bz2
- usr/share/doc/cppunit-1.14.0/CodingGuideLines.txt.bz2
- usr/share/doc/cppunit-1.14.0/FAQ.bz2
- usr/share/doc/cppunit-1.14.0/INSTALL-WIN32.txt.bz2
- usr/share/doc/cppunit-1.14.0/INSTALL-unix.bz2
- usr/share/doc/cppunit-1.14.0/INSTALL.bz2
- usr/share/doc/cppunit-1.14.0/NEWS.bz2
- usr/share/doc/cppunit-1.14.0/README.bz2
- usr/share/doc/cppunit-1.14.0/THANKS.bz2
- usr/share/doc/cppunit-1.14.0/TODO.bz2
- var/db/pkg/dev-util/cppunit-1.14.0/BUILD_TIME
- var/db/pkg/dev-util/cppunit-1.14.0/CATEGORY
- var/db/pkg/dev-util/cppunit-1.14.0/CBUILD
- var/db/pkg/dev-util/cppunit-1.14.0/CFLAGS
- var/db/pkg/dev-util/cppunit-1.14.0/CHOST
- var/db/pkg/dev-util/cppunit-1.14.0/CONTENTS
- var/db/pkg/dev-util/cppunit-1.14.0/COUNTER
- var/db/pkg/dev-util/cppunit-1.14.0/CXXFLAGS
- var/db/pkg/dev-util/cppunit-1.14.0/DEFINED_PHASES
- var/db/pkg/dev-util/cppunit-1.14.0/DESCRIPTION
- var/db/pkg/dev-util/cppunit-1.14.0/EAPI
- var/db/pkg/dev-util/cppunit-1.14.0/FEATURES
- var/db/pkg/dev-util/cppunit-1.14.0/HOMEPAGE
- var/db/pkg/dev-util/cppunit-1.14.0/INHERITED
- var/db/pkg/dev-util/cppunit-1.14.0/IUSE
- var/db/pkg/dev-util/cppunit-1.14.0/IUSE_EFFECTIVE
- var/db/pkg/dev-util/cppunit-1.14.0/KEYWORDS
- var/db/pkg/dev-util/cppunit-1.14.0/LDFLAGS
- var/db/pkg/dev-util/cppunit-1.14.0/LICENSE
- var/db/pkg/dev-util/cppunit-1.14.0/NEEDED
- var/db/pkg/dev-util/cppunit-1.14.0/PF
- var/db/pkg/dev-util/cppunit-1.14.0/PROVIDES
- var/db/pkg/dev-util/cppunit-1.14.0/REQUIRES
- var/db/pkg/dev-util/cppunit-1.14.0/SIZE
- var/db/pkg/dev-util/cppunit-1.14.0/SLOT
- var/db/pkg/dev-util/cppunit-1.14.0/USE
- var/db/pkg/dev-util/cppunit-1.14.0/cppunit-1.14.0.ebuild
- var/db/pkg/dev-util/cppunit-1.14.0/environment.bz2
- var/db/pkg/dev-util/cppunit-1.14.0/repository
package_cacheimage: ""
runtime:
  name: cppunit
  version: 1.14.0
  category: dev-util
  use_flags:
  - -doc
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: C++ port of the famous JUnit framework for unit testing
  uri:
  - https://www.freedesktop.org/wiki/Software/cppunit
  license: LGPL-2.1
  labels:
    DEPEND: doc? ( app-doc/doxygen[dot] media-gfx/graphviz )
    IUSE: doc examples static-libs abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32
      abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
    emerge.packages: dev-util/cppunit
    kit: dev-kit
    original.package.name: dev-util/cppunit
    original.package.slot: "0"
    original.package.version: 1.14.0
